Bug 998320 - js script rendering can block Xorg
js script rendering can block Xorg
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 23:28 EDT by Mikhail
Modified: 2017-08-08 07:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:43:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages (414.32 KB, text/plain)
2013-08-18 23:28 EDT, Mikhail
no flags Details
html for demonstrate system freeze (2.65 KB, text/html)
2014-01-03 17:34 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-08-18 23:28:07 EDT
Created attachment 787874 [details]
messages

Description of problem:
System full hangs after some time after opening this link http://ec2-54-229-117-209.eu-west-1.compute.amazonaws.com/party.html
in Google Chrome
Comment 1 Josh Boyer 2013-09-18 16:35:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Mikhail 2013-09-18 17:12:58 EDT
$ uname -a
Linux localhost.localdomain 3.11.1-200.fc19.x86_64 #1 SMP Sat Sep 14 15:04:51 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

update not hepls
Comment 3 Justin M. Forbes 2014-01-03 17:09:50 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 4 Mikhail 2014-01-03 17:34:43 EST
Created attachment 845127 [details]
html for demonstrate system freeze
Comment 5 Justin M. Forbes 2014-02-24 09:00:36 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Stanislaw Gruszka 2014-03-01 10:50:52 EST

*** This bug has been marked as a duplicate of bug 1060509 ***
Comment 7 Mikhail 2014-03-01 12:55:36 EST
Stanislaw, do you try open attached html file before close this issue?
Comment 8 Stanislaw Gruszka 2014-03-01 17:52:07 EST
No, sorry. 

Not sure how this js script do that, but somehow it blocks input on Xorg. I checked that using program from http://stackoverflow.com/questions/2547616/how-can-i-translate-linux-keycodes-from-dev-input-event-to-ascii-in-perl

On first console tab:
$ ./kaytable /dev/input/by-path/platform-i8042-serio-0-event-kbd

On second console tab:
$ sleep 10; killall -KILL firefox

On third console tab:
$ firefox omhed.html

System looks like frozen, but actually kernel is working, after 10 second when firefox get kill I can see input events on first console. Additionally this script eat lot of memory, hence is possible that OOM even will be triggered and we can get keyboard control that way.
Comment 9 Fedora End Of Life 2015-05-29 05:20:00 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-07-19 06:17:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Mikhail 2016-07-19 06:29:07 EDT
still reproducible in Fedora 24
Comment 12 Fedora End Of Life 2017-07-25 14:34:42 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2017-08-08 07:43:11 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.